## mx4j
Class MX4JSystemKeys

    java.lang.Object
      mx4j.MX4JSystemKeys

public final class MX4JSystemKeys
extends java.lang.Object

This class holds the system property keys that the MX4J implementation uses to plugin custom components.
The naming convention is that, for a defined constant, the corrispondent system property is obtained by converting the constant name to lowercase and by replacing the underscores with dots so that, for example, the constant `MX4J_MBEANSERVER_CLASSLOADER_REPOSITORY` correspond to the system property key `mx4j.mbeanserver.classloader.repository`

Version:
  $Revision: 1.7 $

Field Summary
`static java.lang.String` `MX4J_LOG_PRIORITY` Specifies the level of logging performed by the MX4J JMX implementation.
`static java.lang.String` `MX4J_LOG_PROTOTYPE` Specifies a full qualified class name of a class extending the `Logger` class, that will be used as prototype for new loggers created.
`static java.lang.String` `MX4J_MBEAN_INVOKER` Specifies a full qualified class name of a class implementing the `MBeanInvoker` interface, that will be used as invoker for standard MBeans.
`static java.lang.String` `MX4J_MBEAN_METADATA` Specifies a full qualified name of a class implementing the `MBeanMetaData` interface, that is used internally by MX4J to store information about the MBean.
`static java.lang.String` `MX4J_MBEANSERVER_CLASSLOADER_REPOSITORY` Specifies a full qualified class name of a class extending the `ModifiableClassLoaderRepository` class, that will be used by the MBeanServer to store ClassLoader MBeans that wants to be registered in the MBeanServer's ClassLoaderRepository.
`static java.lang.String` `MX4J_MBEANSERVER_REPOSITORY` Specifies a full qualified class name of a class implementing the `MBeanRepository` interface, that will be used by the MBeanServer to store information about registered MBeans.
`static java.lang.String` `MX4J_OBJECTNAME_CACHING` Specifies if the `ObjectName` class should cache ObjectName instances.
`static java.lang.String` `MX4J_STRICT_MBEAN_INTERFACE` When this property is set to false (as specified by `Boolean.valueOf(String)`), the MX4J JMX implementation will accept as MBean interfaces of standard MBeans also interfaces defined in different packages or as nested classes of the MBean class.

Constructor Summary
`MX4JSystemKeys()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MX4J_MBEANSERVER_REPOSITORY

    public static final java.lang.String MX4J_MBEANSERVER_REPOSITORY

  Specifies a full qualified class name of a class implementing the `MBeanRepository` interface, that will be used by the MBeanServer to store information about registered MBeans.

  See Also:
    Constant Field Values

### MX4J_MBEANSERVER_CLASSLOADER_REPOSITORY

    public static final java.lang.String MX4J_MBEANSERVER_CLASSLOADER_REPOSITORY

  Specifies a full qualified class name of a class extending the `ModifiableClassLoaderRepository` class, that will be used by the MBeanServer to store ClassLoader MBeans that wants to be registered in the MBeanServer's ClassLoaderRepository.

  See Also:
    Constant Field Values

### MX4J_LOG_PRIORITY

    public static final java.lang.String MX4J_LOG_PRIORITY

  Specifies the level of logging performed by the MX4J JMX implementation. Possible value are (case insensitive), from most verbose to least verbose:
  - trace
  - debug
  - info
  - warn
  - error
  - fatal

  See Also:
    Constant Field Values

### MX4J_LOG_PROTOTYPE

    public static final java.lang.String MX4J_LOG_PROTOTYPE

  Specifies a full qualified class name of a class extending the `Logger` class, that will be used as prototype for new loggers created.

  See Also:
    Constant Field Values

### MX4J_STRICT_MBEAN_INTERFACE

    public static final java.lang.String MX4J_STRICT_MBEAN_INTERFACE

  When this property is set to false (as specified by `Boolean.valueOf(String)`), the MX4J JMX implementation will accept as MBean interfaces of standard MBeans also interfaces defined in different packages or as nested classes of the MBean class. So for example, will be possible for a com.foo.Service to have a management interface called com.bar.ServiceMBean. If not defined, or if set to true, only MBean interfaces of the same package of the MBean class are considered valid management interfaces.

  See Also:
    Constant Field Values

### MX4J_MBEAN_INVOKER

    public static final java.lang.String MX4J_MBEAN_INVOKER

  Specifies a full qualified class name of a class implementing the `MBeanInvoker` interface, that will be used as invoker for standard MBeans. Two classes are provided by the MX4J JMX implementation: `BCELMBeanInvoker` and `CachingReflectionMBeanInvoker`. The first one will use BCEL classes (if present) to speed up invocations on standard MBeans, while the second uses reflection. If, for any reason, the BCEL invocation fails, then the reflected invoker is used.

  See Also:
    Constant Field Values

### MX4J_OBJECTNAME_CACHING

    public static final java.lang.String MX4J_OBJECTNAME_CACHING

  Specifies if the `ObjectName` class should cache ObjectName instances. This property is 'true' by default. ObjectName caching can be disabled by setting this property to 'false', to reduce memory footprint in case of use of large numbers of ObjectNames.

  See Also:
    Constant Field Values

### MX4J_MBEAN_METADATA

    public static final java.lang.String MX4J_MBEAN_METADATA

  Specifies a full qualified name of a class implementing the `MBeanMetaData` interface, that is used internally by MX4J to store information about the MBean.

  See Also:
    `MBeanMetaData.Factory`, Constant Field Values

Constructor Detail

### MX4JSystemKeys

    public MX4JSystemKeys()

Copyright © 2001-2003 MX4J Team. All Rights Reserved.